> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Blocklist Note

> Edit a note on a blocklist entry.



## OpenAPI

````yaml patch /blocklist/customers/{entry_id}/notes/{note_id}
openapi: 3.1.0
info:
  title: public
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.120.20
servers:
  - url: https://test.dodopayments.com/
    description: Test Mode Server Host
  - url: https://live.dodopayments.com/
    description: Live Mode Server Host
security: []
tags:
  - name: Products
  - name: Payments
  - name: Subscriptions
  - name: Addons
  - name: Customers
  - name: Refunds
  - name: Disputes
  - name: Events
  - name: License Keys
  - name: Entitlements
  - name: Licenses
  - name: Discounts
  - name: Meters
  - name: Credit Entitlements
  - name: Credit Entitlement Balances
  - name: Outgoing Webhooks
  - name: Checkout
  - name: Webhook Events
  - name: Payment Connector Webhooks
  - name: Moderation
  - name: Locales
paths:
  /blocklist/customers/{entry_id}/notes/{note_id}:
    patch:
      tags:
        - Blocklist
      operationId: edit_note
      parameters:
        - name: entry_id
          in: path
          description: Blocklist entry id
          required: true
          schema:
            type: string
        - name: note_id
          in: path
          description: Note id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NoteRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlockedCustomerNote'
        '404':
          description: No such note
      security:
        - API_KEY: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import DodoPayments from 'dodopayments';


            const client = new DodoPayments({
              bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
            });


            const blockedCustomerNote = await
            client.blocklist.customers.notes.update('note_id', {
              entry_id: 'entry_id',
              note: 'note',
            });


            console.log(blockedCustomerNote.id);
        - lang: Python
          source: |-
            import os
            from dodopayments import DodoPayments

            client = DodoPayments(
                bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"),  # This is the default and can be omitted
            )
            blocked_customer_note = client.blocklist.customers.notes.update(
                note_id="note_id",
                entry_id="entry_id",
                note="note",
            )
            print(blocked_customer_note.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\tblockedCustomerNote, err := client.Blocklist.Customers.Notes.Update(\n\t\tcontext.TODO(),\n\t\t\"entry_id\",\n\t\t\"note_id\",\n\t\tdodopayments.BlocklistCustomerNoteUpdateParams{\n\t\t\tNoteRequest: dodopayments.NoteRequestParam{\n\t\t\t\tNote: dodopayments.F(\"note\"),\n\t\t\t},\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", blockedCustomerNote.ID)\n}\n"
        - lang: Java
          source: >-
            package com.dodopayments.api.example;


            import com.dodopayments.api.client.DodoPaymentsClient;

            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;

            import
            com.dodopayments.api.models.blocklist.customers.notes.BlockedCustomerNote;

            import
            com.dodopayments.api.models.blocklist.customers.notes.NoteRequest;

            import
            com.dodopayments.api.models.blocklist.customers.notes.NoteUpdateParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();

                    NoteUpdateParams params = NoteUpdateParams.builder()
                        .entryId("entry_id")
                        .noteId("note_id")
                        .noteRequest(NoteRequest.builder()
                            .note("note")
                            .build())
                        .build();
                    BlockedCustomerNote blockedCustomerNote = client.blocklist().customers().notes().update(params);
                }
            }
        - lang: Kotlin
          source: >-
            package com.dodopayments.api.example


            import com.dodopayments.api.client.DodoPaymentsClient

            import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient

            import
            com.dodopayments.api.models.blocklist.customers.notes.BlockedCustomerNote

            import
            com.dodopayments.api.models.blocklist.customers.notes.NoteRequest

            import
            com.dodopayments.api.models.blocklist.customers.notes.NoteUpdateParams


            fun main() {
                val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()

                val params: NoteUpdateParams = NoteUpdateParams.builder()
                    .entryId("entry_id")
                    .noteId("note_id")
                    .noteRequest(NoteRequest.builder()
                        .note("note")
                        .build())
                    .build()
                val blockedCustomerNote: BlockedCustomerNote = client.blocklist().customers().notes().update(params)
            }
        - lang: Ruby
          source: >-
            require "dodopayments"


            dodo_payments = Dodopayments::Client.new(
              bearer_token: "My Bearer Token",
              environment: "test_mode" # defaults to "live_mode"
            )


            blocked_customer_note =
            dodo_payments.blocklist.customers.notes.update("note_id", entry_id:
            "entry_id", note: "note")


            puts(blocked_customer_note)
        - lang: PHP
          source: |-
            <?php

            require_once dirname(__DIR__) . '/vendor/autoload.php';

            use Dodopayments\Client;
            use Dodopayments\Core\Exceptions\APIException;

            $client = new Client(
              bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
              environment: 'test_mode',
            );

            try {
              $blockedCustomerNote = $client->blocklist->customers->notes->update(
                'note_id', entryID: 'entry_id', note: 'note'
              );

              var_dump($blockedCustomerNote);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: C#
          source: >-
            using System;

            using DodoPayments.Client;

            using DodoPayments.Client.Models.Blocklist.Customers.Notes;


            DodoPaymentsClient client = new();


            NoteUpdateParams parameters = new()

            {
                EntryID = "entry_id",
                NoteID = "note_id",
                Note = "note",
            };


            var blockedCustomerNote = await
            client.Blocklist.Customers.Notes.Update(parameters);


            Console.WriteLine(blockedCustomerNote);
        - lang: Rust
          source: |-
            use dodopayments::Client;

            #[tokio::main]
            async fn main() -> dodopayments::Result<()> {
                let client = Client::from_env()?;
                let entry_id = "entry_id";
                let note_id = "note_id";
                let result = client
                    .blocklist()
                    .customers()
                    .notes()
                    .update()
                    .entry_id(entry_id)
                    .note_id(note_id)
                    .body(dodopayments::models::BlocklistCustomersNotesCreateParams {
                            note: Some("note".to_string()),
                            ..Default::default()
                        })
                    .await?;
                println!("{result:?}");
                Ok(())
            }
components:
  schemas:
    NoteRequest:
      type: object
      required:
        - note
      properties:
        note:
          type: string
    BlockedCustomerNote:
      type: object
      required:
        - id
        - note
        - created_at
      properties:
        author_email:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        id:
          type: string
        note:
          type: string
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
  securitySchemes:
    API_KEY:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.